Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0041792
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2019-09-10 16:352019-09-15 08:41
ReportercaristuView Statuspublic 
Assigned Tocaristu 
PrioritynormalResolutionfixedFixed in Version3.0PR19Q4
StatusclosedFix in branchFixed in SCM revision4fe52bd301c2
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0041792: Eclipse auto save actions should be automatically enabled

DescriptionCurrently Eclipse auto save actions must be manually enabled (see attached image). It would be nice if this setting could be exported into the project settings so it is enabled automatically after importing the preferences file.
Steps To Reproduce1) Create a new Eclipse workspace for the Openbravo project[1]
2) After importing the preferences, note that "on save actions" (organize imports, formatting etc.) are not being triggered
3) Go to Window >> Preferences >> Save Actions. Note that the "Perform selected actions on save setting" is disabled. It should be checked off in order to enable the "on save actions"


[1] http://wiki.openbravo.com/wiki/How_to_setup_Eclipse_IDE [^]
TagsNo tags attached.
Attached Filespng file icon eclipse_preferences.png [^] (73,103 bytes) 2019-09-10 16:35

- Relationships Relation Graph ] Dependency Graph ]
related to feature request 0039883 closedalostale update Java sources formatting 

-  Notes
(0114506)
hgbot (developer)
2019-09-10 16:57

Repository: erp/devel/pi
Changeset: 4fe52bd301c2a34677f2c6ed0d2db7809575af0a
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Tue Sep 10 16:56:22 2019 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/4fe52bd301c2a34677f2c6ed0d2db7809575af0a [^]

fixes issue 41792: Eclipse save actions are automatically enabled

---
M config/eclipse/Openbravo-eclipse-prefs.epf
---
(0114552)
alostale (developer)
2019-09-13 08:15

reviewed + tested
(0114578)
hudsonbot (developer)
2019-09-15 08:41

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/8beffe46daaa [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-09-10 16:35 caristu New Issue
2019-09-10 16:35 caristu Assigned To => platform
2019-09-10 16:35 caristu File Added: eclipse_preferences.png
2019-09-10 16:35 caristu Modules => Core
2019-09-10 16:35 caristu Triggers an Emergency Pack => No
2019-09-10 16:36 caristu Summary Eclipse auto save actions must be manually enabled => Eclipse auto save actions should be automatically enabled
2019-09-10 16:57 hgbot Checkin
2019-09-10 16:57 hgbot Note Added: 0114506
2019-09-10 16:57 hgbot Status new => resolved
2019-09-10 16:57 hgbot Resolution open => fixed
2019-09-10 16:57 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/4fe52bd301c2a34677f2c6ed0d2db7809575af0a [^]
2019-09-10 16:57 caristu Assigned To platform => caristu
2019-09-10 16:57 caristu Review Assigned To => alostale
2019-09-10 16:58 caristu Relationship added related to 0039883
2019-09-13 08:15 alostale Note Added: 0114552
2019-09-13 08:15 alostale Status resolved => closed
2019-09-13 08:15 alostale Fixed in Version => 3.0PR19Q4
2019-09-15 08:41 hudsonbot Checkin
2019-09-15 08:41 hudsonbot Note Added: 0114578


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker